<?xml version="1.0" encoding="utf-8"?>
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:arcroleRef arcroleURI="https://xbrl.org/2023/arcrole/summation-item" xlink:href="https://www.xbrl.org/2023/calculation-1.1.xsd#summation-item" xlink:type="simple" />
  <link:roleRef roleURI="http://www.pl.kruk.eu/role/BalanceSheet" xlink:type="simple" xlink:href="259400T1FZYBIW8XUJ78-2024-12-31.xsd#BalanceSheet" />
  <link:calculationLink xlink:role="http://www.pl.kruk.eu/role/BalanceSheet" xlink:type="extended">
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Assets" xlink:label="Assets" xlink:type="locator" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="CashAndCashEquivalents" xlink:type="locator" />
    <link:calculationArc order="10" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="Assets" xlink:to="CashAndCashEquivalents" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DerivativeFinancialAssetsHeldForHedging" xlink:label="DerivativeFinancialAssetsHeldForHedging" xlink:type="locator" />
    <link:calculationArc order="20" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="Assets" xlink:to="DerivativeFinancialAssetsHeldForHedging" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeReceivables" xlink:label="TradeReceivables" xlink:type="locator" />
    <link:calculationArc order="30" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="Assets" xlink:to="TradeReceivables" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherReceivables" xlink:label="OtherReceivables" xlink:type="locator" />
    <link:calculationArc order="40" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="Assets" xlink:to="OtherReceivables" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTaxAssets" xlink:label="CurrentTaxAssets" xlink:type="locator" />
    <link:calculationArc order="50" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="Assets" xlink:to="CurrentTaxAssets" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InventoriesTotal" xlink:label="InventoriesTotal" xlink:type="locator" />
    <link:calculationArc order="60" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="Assets" xlink:to="InventoriesTotal" xlink:type="arc" />
    <link:loc xlink:href="259400T1FZYBIW8XUJ78-2024-12-31.xsd#ext_InvestmentsInDebtPortfoliosAndLoans" xlink:label="InvestmentsInDebtPortfoliosAndLoans" xlink:type="locator" />
    <link:calculationArc order="70" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="Assets" xlink:to="InvestmentsInDebtPortfoliosAndLoans" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxAssets" xlink:label="DeferredTaxAssets" xlink:type="locator" />
    <link:calculationArc order="80" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="Assets" xlink:to="DeferredTaxAssets" xlink:type="arc" />
    <link:loc xlink:href="259400T1FZYBIW8XUJ78-2024-12-31.xsd#ext_PropertyPlantAndEquipmentRightOfUseAssets" xlink:label="PropertyPlantAndEquipmentRightOfUseAssets" xlink:type="locator" />
    <link:calculationArc order="90" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="Assets" xlink:to="PropertyPlantAndEquipmentRightOfUseAssets" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Goodwill" xlink:label="Goodwill" xlink:type="locator" />
    <link:calculationArc order="100" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="Assets" xlink:to="Goodwill" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IntangibleAssetsOtherThanGoodwill" xlink:label="IntangibleAssetsOtherThanGoodwill" xlink:type="locator" />
    <link:calculationArc order="110" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="Assets" xlink:to="IntangibleAssetsOtherThanGoodwill" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherAssets" xlink:label="OtherAssets" xlink:type="locator" />
    <link:calculationArc order="120" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="Assets" xlink:to="OtherAssets" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAndLiabilities" xlink:label="EquityAndLiabilities" xlink:type="locator" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Liabilities" xlink:label="Liabilities" xlink:type="locator" />
    <link:calculationArc order="10" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="EquityAndLiabilities" xlink:to="Liabilities" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherPayables" xlink:label="TradeAndOtherPayables" xlink:type="locator" />
    <link:calculationArc order="10" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="Liabilities" xlink:to="TradeAndOtherPayables" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DerivativeFinancialLiabilities" xlink:label="DerivativeFinancialLiabilities" xlink:type="locator" />
    <link:calculationArc order="20" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="Liabilities" xlink:to="DerivativeFinancialLiabilities" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DerivativeFinancialLiabilitiesHeldForHedging" xlink:label="DerivativeFinancialLiabilitiesHeldForHedging" xlink:type="locator" />
    <link:calculationArc order="30" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="Liabilities" xlink:to="DerivativeFinancialLiabilitiesHeldForHedging" xlink:type="arc" />
    <link:loc xlink:href="259400T1FZYBIW8XUJ78-2024-12-31.xsd#ext_EmployeeBenefitObligations" xlink:label="EmployeeBenefitObligations" xlink:type="locator" />
    <link:calculationArc order="40" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="Liabilities" xlink:to="EmployeeBenefitObligations" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTaxLiabilities" xlink:label="CurrentTaxLiabilities" xlink:type="locator" />
    <link:calculationArc order="50" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="Liabilities" xlink:to="CurrentTaxLiabilities" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinancialLiabilitiesAtAmortisedCost" xlink:label="FinancialLiabilitiesAtAmortisedCost" xlink:type="locator" />
    <link:calculationArc order="60" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="Liabilities" xlink:to="FinancialLiabilitiesAtAmortisedCost" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Provisions" xlink:label="Provisions" xlink:type="locator" />
    <link:calculationArc order="70" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="Liabilities" xlink:to="Provisions" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxLiabilities" xlink:label="DeferredTaxLiabilities" xlink:type="locator" />
    <link:calculationArc order="80" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="Liabilities" xlink:to="DeferredTaxLiabilities" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Equity" xlink:label="Equity" xlink:type="locator" />
    <link:calculationArc order="20" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="EquityAndLiabilities" xlink:to="Equity" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAttributableToOwnersOfParent" xlink:label="EquityAttributableToOwnersOfParent" xlink:type="locator" />
    <link:calculationArc order="10" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="Equity" xlink:to="EquityAttributableToOwnersOfParent" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IssuedCapital" xlink:label="IssuedCapital" xlink:type="locator" />
    <link:calculationArc order="10" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="IssuedCapital" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_SharePremium" xlink:label="SharePremium" xlink:type="locator" />
    <link:calculationArc order="20" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="SharePremium" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ReserveOfCashFlowHedges" xlink:label="ReserveOfCashFlowHedges" xlink:type="locator" />
    <link:calculationArc order="30" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="ReserveOfCashFlowHedges" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ReserveOfRemeasurementsOfDefinedBenefitPlans" xlink:label="ReserveOfRemeasurementsOfDefinedBenefitPlans" xlink:type="locator" />
    <link:calculationArc order="40" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="ReserveOfRemeasurementsOfDefinedBenefitPlans" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ReserveOfExchangeDifferencesOnTranslation" xlink:label="ReserveOfExchangeDifferencesOnTranslation" xlink:type="locator" />
    <link:calculationArc order="50" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="ReserveOfExchangeDifferencesOnTranslation" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherReserves" xlink:label="OtherReserves" xlink:type="locator" />
    <link:calculationArc order="60" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="OtherReserves" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RetainedEarnings" xlink:label="RetainedEarnings" xlink:type="locator" />
    <link:calculationArc order="70" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="RetainedEarnings" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncontrollingInterests" xlink:label="NoncontrollingInterests" xlink:type="locator" />
    <link:calculationArc order="20" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="Equity" xlink:to="NoncontrollingInterests" xlink:type="arc" />
  </link:calculationLink>
  <link:roleRef roleURI="http://www.pl.kruk.eu/role/IncomeStatement" xlink:type="simple" xlink:href="259400T1FZYBIW8XUJ78-2024-12-31.xsd#IncomeStatement" />
  <link:calculationLink xlink:role="http://www.pl.kruk.eu/role/IncomeStatement" xlink:type="extended">
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ProfitLoss" xlink:type="locator" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ProfitLossBeforeTax" xlink:type="locator" />
    <link:calculationArc order="10" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ProfitLoss" xlink:to="ProfitLossBeforeTax" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:label="ProfitLossFromOperatingActivities" xlink:type="locator" />
    <link:calculationArc order="10" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ProfitLossBeforeTax" xlink:to="ProfitLossFromOperatingActivities" xlink:type="arc" />
    <link:loc xlink:href="259400T1FZYBIW8XUJ78-2024-12-31.xsd#ext_OperatingIncomeTakingIntoAccountTheResultOnExpectedCreditLossesFairValueMeasurementAndOtherIncomeCostsFromPurchasedDebtPortfolios" xlink:label="OperatingIncomeTakingIntoAccountTheResultOnExpectedCreditLossesFairValueMeasurementAndOtherIncomeCostsFromPurchasedDebtPortfolios" xlink:type="locator" />
    <link:calculationArc order="10" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ProfitLossFromOperatingActivities" xlink:to="OperatingIncomeTakingIntoAccountTheResultOnExpectedCreditLossesFairValueMeasurementAndOtherIncomeCostsFromPurchasedDebtPortfolios" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestIncomeForFinancialAssetsMeasuredAtAmortisedCost" xlink:label="InterestIncomeForFinancialAssetsMeasuredAtAmortisedCost" xlink:type="locator" />
    <link:calculationArc order="10" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="OperatingIncomeTakingIntoAccountTheResultOnExpectedCreditLossesFairValueMeasurementAndOtherIncomeCostsFromPurchasedDebtPortfolios" xlink:to="InterestIncomeForFinancialAssetsMeasuredAtAmortisedCost" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestIncomeOnFinancialAssetsDesignatedAtFairValueThroughProfitOrLoss" xlink:label="InterestIncomeOnFinancialAssetsDesignatedAtFairValueThroughProfitOrLoss" xlink:type="locator" />
    <link:calculationArc order="20" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="OperatingIncomeTakingIntoAccountTheResultOnExpectedCreditLossesFairValueMeasurementAndOtherIncomeCostsFromPurchasedDebtPortfolios" xlink:to="InterestIncomeOnFinancialAssetsDesignatedAtFairValueThroughProfitOrLoss" xlink:type="arc" />
    <link:loc xlink:href="259400T1FZYBIW8XUJ78-2024-12-31.xsd#ext_IncomeFromTheSaleOfPorfoliosAndLoans" xlink:label="IncomeFromTheSaleOfPorfoliosAndLoans" xlink:type="locator" />
    <link:calculationArc order="30" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="OperatingIncomeTakingIntoAccountTheResultOnExpectedCreditLossesFairValueMeasurementAndOtherIncomeCostsFromPurchasedDebtPortfolios" xlink:to="IncomeFromTheSaleOfPorfoliosAndLoans" xlink:type="arc" />
    <link:loc xlink:href="259400T1FZYBIW8XUJ78-2024-12-31.xsd#ext_OtherIncomeCostsFromPurchasedDebtPortfolio" xlink:label="OtherIncomeCostsFromPurchasedDebtPortfolio" xlink:type="locator" />
    <link:calculationArc order="40" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="OperatingIncomeTakingIntoAccountTheResultOnExpectedCreditLossesFairValueMeasurementAndOtherIncomeCostsFromPurchasedDebtPortfolios" xlink:to="OtherIncomeCostsFromPurchasedDebtPortfolio" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RevenueFromRenderingOfServices" xlink:label="RevenueFromRenderingOfServices" xlink:type="locator" />
    <link:calculationArc order="50" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="OperatingIncomeTakingIntoAccountTheResultOnExpectedCreditLossesFairValueMeasurementAndOtherIncomeCostsFromPurchasedDebtPortfolios" xlink:to="RevenueFromRenderingOfServices" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_MiscellaneousOtherOperatingIncome" xlink:label="MiscellaneousOtherOperatingIncome" xlink:type="locator" />
    <link:calculationArc order="60" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="OperatingIncomeTakingIntoAccountTheResultOnExpectedCreditLossesFairValueMeasurementAndOtherIncomeCostsFromPurchasedDebtPortfolios" xlink:to="MiscellaneousOtherOperatingIncome" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GainsLossesOnFinancialAssetsAtFairValueThroughProfitOrLoss" xlink:label="GainsLossesOnFinancialAssetsAtFairValueThroughProfitOrLoss" xlink:type="locator" />
    <link:calculationArc order="70" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="OperatingIncomeTakingIntoAccountTheResultOnExpectedCreditLossesFairValueMeasurementAndOtherIncomeCostsFromPurchasedDebtPortfolios" xlink:to="GainsLossesOnFinancialAssetsAtFairValueThroughProfitOrLoss" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9" xlink:label="ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9" xlink:type="locator" />
    <link:calculationArc order="80" weight="-1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="OperatingIncomeTakingIntoAccountTheResultOnExpectedCreditLossesFairValueMeasurementAndOtherIncomeCostsFromPurchasedDebtPortfolios" xlink:to="ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OperatingExpense" xlink:label="OperatingExpense" xlink:type="locator" />
    <link:calculationArc order="20" weight="-1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ProfitLossFromOperatingActivities" xlink:to="OperatingExpense" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EmployeeBenefitsExpense" xlink:label="EmployeeBenefitsExpense" xlink:type="locator" />
    <link:calculationArc order="10" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="OperatingExpense" xlink:to="EmployeeBenefitsExpense" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DepreciationAndAmortisationExpense" xlink:label="DepreciationAndAmortisationExpense" xlink:type="locator" />
    <link:calculationArc order="20" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="OperatingExpense" xlink:to="DepreciationAndAmortisationExpense" xlink:type="arc" />
    <link:loc xlink:href="259400T1FZYBIW8XUJ78-2024-12-31.xsd#ext_CourtFees" xlink:label="CourtFees" xlink:type="locator" />
    <link:calculationArc order="30" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="OperatingExpense" xlink:to="CourtFees" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ServicesExpense" xlink:label="ServicesExpense" xlink:type="locator" />
    <link:calculationArc order="40" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="OperatingExpense" xlink:to="ServicesExpense" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherExpenseByNature" xlink:label="OtherExpenseByNature" xlink:type="locator" />
    <link:calculationArc order="50" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="OperatingExpense" xlink:to="OtherExpenseByNature" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncomeCost" xlink:label="FinanceIncomeCost" xlink:type="locator" />
    <link:calculationArc order="20" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ProfitLossBeforeTax" xlink:to="FinanceIncomeCost" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncome" xlink:label="FinanceIncome" xlink:type="locator" />
    <link:calculationArc order="10" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="FinanceIncomeCost" xlink:to="FinanceIncome" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceCosts" xlink:label="FinanceCosts" xlink:type="locator" />
    <link:calculationArc order="20" weight="-1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="FinanceIncomeCost" xlink:to="FinanceCosts" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="IncomeTaxExpenseContinuingOperations" xlink:type="locator" />
    <link:calculationArc order="20" weight="-1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ProfitLoss" xlink:to="IncomeTaxExpenseContinuingOperations" xlink:type="arc" />
  </link:calculationLink>
  <link:roleRef roleURI="http://www.pl.kruk.eu/role/ComprehensiveIncome" xlink:type="simple" xlink:href="259400T1FZYBIW8XUJ78-2024-12-31.xsd#ComprehensiveIncome" />
  <link:calculationLink xlink:role="http://www.pl.kruk.eu/role/ComprehensiveIncome" xlink:type="extended">
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ComprehensiveIncome" xlink:type="locator" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ProfitLoss" xlink:type="locator" />
    <link:calculationArc order="10" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ComprehensiveIncome" xlink:to="ProfitLoss" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="OtherComprehensiveIncome" xlink:type="locator" />
    <link:calculationArc order="20" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ComprehensiveIncome" xlink:to="OtherComprehensiveIncome" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTax" xlink:label="OtherComprehensiveIncomeBeforeTax" xlink:type="locator" />
    <link:calculationArc order="10" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="OtherComprehensiveIncome" xlink:to="OtherComprehensiveIncomeBeforeTax" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxExchangeDifferencesOnTranslation" xlink:label="OtherComprehensiveIncomeBeforeTaxExchangeDifferencesOnTranslation" xlink:type="locator" />
    <link:calculationArc order="10" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="OtherComprehensiveIncomeBeforeTax" xlink:to="OtherComprehensiveIncomeBeforeTaxExchangeDifferencesOnTranslation" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxCashFlowHedges" xlink:label="OtherComprehensiveIncomeBeforeTaxCashFlowHedges" xlink:type="locator" />
    <link:calculationArc order="20" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="OtherComprehensiveIncomeBeforeTax" xlink:to="OtherComprehensiveIncomeBeforeTaxCashFlowHedges" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:label="OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:type="locator" />
    <link:calculationArc order="30" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="OtherComprehensiveIncomeBeforeTax" xlink:to="OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxRelatingToCashFlowHedgesOfOtherComprehensiveIncome" xlink:label="IncomeTaxRelatingToCashFlowHedgesOfOtherComprehensiveIncome" xlink:type="locator" />
    <link:calculationArc order="20" weight="-1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="OtherComprehensiveIncome" xlink:to="IncomeTaxRelatingToCashFlowHedgesOfOtherComprehensiveIncome" xlink:type="arc" />
  </link:calculationLink>
  <link:roleRef roleURI="http://www.pl.kruk.eu/role/CashFlow" xlink:type="simple" xlink:href="259400T1FZYBIW8XUJ78-2024-12-31.xsd#CashFlow" />
  <link:calculationLink xlink:role="http://www.pl.kruk.eu/role/CashFlow" xlink:type="extended">
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="IncreaseDecreaseInCashAndCashEquivalents" xlink:type="locator" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="CashFlowsFromUsedInOperatingActivities" xlink:type="locator" />
    <link:calculationArc order="10" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="IncreaseDecreaseInCashAndCashEquivalents" xlink:to="CashFlowsFromUsedInOperatingActivities" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ProfitLoss" xlink:type="locator" />
    <link:calculationArc order="10" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="ProfitLoss" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDepreciationExpense" xlink:label="AdjustmentsForDepreciationExpense" xlink:type="locator" />
    <link:calculationArc order="20" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForDepreciationExpense" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForAmortisationExpense" xlink:label="AdjustmentsForAmortisationExpense" xlink:type="locator" />
    <link:calculationArc order="30" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForAmortisationExpense" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForImpairmentLossRecognisedInProfitOrLossGoodwill" xlink:label="AdjustmentsForImpairmentLossRecognisedInProfitOrLossGoodwill" xlink:type="locator" />
    <link:calculationArc order="40" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForImpairmentLossRecognisedInProfitOrLossGoodwill" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForFinanceCosts" xlink:label="AdjustmentsForFinanceCosts" xlink:type="locator" />
    <link:calculationArc order="50" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForFinanceCosts" xlink:type="arc" />
    <link:loc xlink:href="259400T1FZYBIW8XUJ78-2024-12-31.xsd#ext_WriteoffOfDevelopmentWork" xlink:label="WriteoffOfDevelopmentWork" xlink:type="locator" />
    <link:calculationArc order="60" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="WriteoffOfDevelopmentWork" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets" xlink:label="AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets" xlink:type="locator" />
    <link:calculationArc order="70" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForGainLossOnDisposalOfInvestmentsInSubsidiariesJointVenturesAndAssociates" xlink:label="AdjustmentsForGainLossOnDisposalOfInvestmentsInSubsidiariesJointVenturesAndAssociates" xlink:type="locator" />
    <link:calculationArc order="80" weight="-1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForGainLossOnDisposalOfInvestmentsInSubsidiariesJointVenturesAndAssociates" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForSharebasedPayments" xlink:label="AdjustmentsForSharebasedPayments" xlink:type="locator" />
    <link:calculationArc order="90" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForSharebasedPayments" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForInterestIncome" xlink:label="AdjustmentsForInterestIncome" xlink:type="locator" />
    <link:calculationArc order="100" weight="-1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForInterestIncome" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForIncomeTaxExpense" xlink:label="AdjustmentsForIncomeTaxExpense" xlink:type="locator" />
    <link:calculationArc order="110" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForIncomeTaxExpense" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToCustomers" xlink:label="AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToCustomers" xlink:type="locator" />
    <link:calculationArc order="120" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToCustomers" xlink:type="arc" />
    <link:loc xlink:href="259400T1FZYBIW8XUJ78-2024-12-31.xsd#ext_AdjustmentsForDecreaseIncreaseInInvestmentsInDebtportfolios" xlink:label="AdjustmentsForDecreaseIncreaseInInvestmentsInDebtportfolios" xlink:type="locator" />
    <link:calculationArc order="130" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForDecreaseIncreaseInInvestmentsInDebtportfolios" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" xlink:label="AdjustmentsForDecreaseIncreaseInInventories" xlink:type="locator" />
    <link:calculationArc order="140" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForDecreaseIncreaseInInventories" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" xlink:label="AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" xlink:type="locator" />
    <link:calculationArc order="150" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInOtherAssets" xlink:label="AdjustmentsForDecreaseIncreaseInOtherAssets" xlink:type="locator" />
    <link:calculationArc order="160" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForDecreaseIncreaseInOtherAssets" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:label="AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:type="locator" />
    <link:calculationArc order="170" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInEmployeeBenefitLiabilities" xlink:label="AdjustmentsForIncreaseDecreaseInEmployeeBenefitLiabilities" xlink:type="locator" />
    <link:calculationArc order="180" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForIncreaseDecreaseInEmployeeBenefitLiabilities" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForProvisions" xlink:label="AdjustmentsForProvisions" xlink:type="locator" />
    <link:calculationArc order="190" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForProvisions" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherAdjustmentsForWhichCashEffectsAreInvestingOrFinancingCashFlow" xlink:label="OtherAdjustmentsForWhichCashEffectsAreInvestingOrFinancingCashFlow" xlink:type="locator" />
    <link:calculationArc order="200" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="OtherAdjustmentsForWhichCashEffectsAreInvestingOrFinancingCashFlow" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestReceivedClassifiedAsOperatingActivities" xlink:label="InterestReceivedClassifiedAsOperatingActivities" xlink:type="locator" />
    <link:calculationArc order="210" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="InterestReceivedClassifiedAsOperatingActivities" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:label="IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:type="locator" />
    <link:calculationArc order="220" weight="-1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="CashFlowsFromUsedInInvestingActivities" xlink:type="locator" />
    <link:calculationArc order="20" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="IncreaseDecreaseInCashAndCashEquivalents" xlink:to="CashFlowsFromUsedInInvestingActivities" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestReceivedClassifiedAsInvestingActivities" xlink:label="InterestReceivedClassifiedAsInvestingActivities" xlink:type="locator" />
    <link:calculationArc order="10" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="InterestReceivedClassifiedAsInvestingActivities" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:label="ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:type="locator" />
    <link:calculationArc order="20" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:label="CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:type="locator" />
    <link:calculationArc order="30" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:label="PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:type="locator" />
    <link:calculationArc order="40" weight="-1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="CashFlowsFromUsedInFinancingActivities" xlink:type="locator" />
    <link:calculationArc order="30" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="IncreaseDecreaseInCashAndCashEquivalents" xlink:to="CashFlowsFromUsedInFinancingActivities" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromIssuingShares" xlink:label="ProceedsFromIssuingShares" xlink:type="locator" />
    <link:calculationArc order="10" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="ProceedsFromIssuingShares" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromIssueOfBondsNotesAndDebentures" xlink:label="ProceedsFromIssueOfBondsNotesAndDebentures" xlink:type="locator" />
    <link:calculationArc order="20" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="ProceedsFromIssueOfBondsNotesAndDebentures" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:label="ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:type="locator" />
    <link:calculationArc order="30" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:label="RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:type="locator" />
    <link:calculationArc order="40" weight="-1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:label="PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:type="locator" />
    <link:calculationArc order="50" weight="-1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:label="DividendsPaidClassifiedAsFinancingActivities" xlink:type="locator" />
    <link:calculationArc order="60" weight="-1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="DividendsPaidClassifiedAsFinancingActivities" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RepaymentsOfBondsNotesAndDebentures" xlink:label="RepaymentsOfBondsNotesAndDebentures" xlink:type="locator" />
    <link:calculationArc order="70" weight="-1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="RepaymentsOfBondsNotesAndDebentures" xlink:type="arc" />
    <link:loc xlink:href="259400T1FZYBIW8XUJ78-2024-12-31.xsd#ext_InterestReceivedAndPaidOnHedgingInstruments" xlink:label="InterestReceivedAndPaidOnHedgingInstruments" xlink:type="locator" />
    <link:calculationArc order="80" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="InterestReceivedAndPaidOnHedgingInstruments" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:label="InterestPaidClassifiedAsFinancingActivities" xlink:type="locator" />
    <link:calculationArc order="90" weight="-1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="InterestPaidClassifiedAsFinancingActivities" xlink:type="arc" />
  </link:calculationLink>
  <link:roleRef roleURI="http://www.pl.kruk.eu/role/ChangesInEquity" xlink:type="simple" xlink:href="259400T1FZYBIW8XUJ78-2024-12-31.xsd#ChangesInEquity" />
  <link:calculationLink xlink:role="http://www.pl.kruk.eu/role/ChangesInEquity" xlink:type="extended">
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ComprehensiveIncome" xlink:type="locator" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ProfitLoss" xlink:type="locator" />
    <link:calculationArc order="10" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ComprehensiveIncome" xlink:to="ProfitLoss" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="OtherComprehensiveIncome" xlink:type="locator" />
    <link:calculationArc order="20" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ComprehensiveIncome" xlink:to="OtherComprehensiveIncome" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges" xlink:label="OtherComprehensiveIncomeNetOfTaxCashFlowHedges" xlink:type="locator" />
    <link:calculationArc order="10" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="OtherComprehensiveIncome" xlink:to="OtherComprehensiveIncomeNetOfTaxCashFlowHedges" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:label="OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:type="locator" />
    <link:calculationArc order="20" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="OtherComprehensiveIncome" xlink:to="OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:label="OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:type="locator" />
    <link:calculationArc order="30" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="OtherComprehensiveIncome" xlink:to="OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ChangesInEquity" xlink:label="ChangesInEquity" xlink:type="locator" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DividendsPaid" xlink:label="DividendsPaid" xlink:type="locator" />
    <link:calculationArc order="10" weight="-1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ChangesInEquity" xlink:to="DividendsPaid" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IssueOfEquity" xlink:label="IssueOfEquity" xlink:type="locator" />
    <link:calculationArc order="20" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ChangesInEquity" xlink:to="IssueOfEquity" xlink:type="arc" />
    <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseThroughSharebasedPaymentTransactions" xlink:label="IncreaseDecreaseThroughSharebasedPaymentTransactions" xlink:type="locator" />
    <link:calculationArc order="30" weight="1.00" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ChangesInEquity" xlink:to="IncreaseDecreaseThroughSharebasedPaymentTransactions" xlink:type="arc" />
  </link:calculationLink>
</link:linkbase>